DBT.DEV_BROADCAST_VOLUME (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: DBT, class: DEV_BROADCAST_VOLUME

Package com.sun.jna.platform.win32

# Class DBT.DEV_BROADCAST_VOLUME

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.DBT.DEV_BROADCAST_VOLUME

Enclosing interface:
  DBT

@FieldOrder({"dbcv_size","dbcv_devicetype","dbcv_reserved","dbcv_unitmask","dbcv_flags"}) public static class DBT.DEV_BROADCAST_VOLUME extends Structure
The Class DEV_BROADCAST_VOLUME.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dbcv_devicetype`
  The dbcv_devicetype.
  `short`
  `dbcv_flags`
  The dbcv_flags.
  `int`
  `dbcv_reserved`
  The dbcv_reserved.
  `int`
  `dbcv_size`
  The dbcv_size.
  `int`
  `dbcv_unitmask`
  The dbcv_unitmask.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DEV_BROADCAST_VOLUME()`
  Instantiates a new dev broadcast volume.
  `DEV_BROADCAST_VOLUME(Pointer memory)`
  Instantiates a new dev broadcast volume.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dbcv_size

    public int dbcv_size
    The dbcv_size.

  - ### dbcv_devicetype

    public int dbcv_devicetype
    The dbcv_devicetype.

  - ### dbcv_reserved

    public int dbcv_reserved
    The dbcv_reserved.

  - ### dbcv_unitmask

    public int dbcv_unitmask
    The dbcv_unitmask.

  - ### dbcv_flags

    public short dbcv_flags
    The dbcv_flags.

- ## Constructor Details

  - ### DEV_BROADCAST_VOLUME

    public DEV_BROADCAST_VOLUME()
    Instantiates a new dev broadcast volume.

  - ### DEV_BROADCAST_VOLUME

    public DEV_BROADCAST_VOLUME(Pointer memory)
    Instantiates a new dev broadcast volume.
    Parameters:
      `memory` - the memory